cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PID

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PID

- All Implemented Interfaces:
    ISegment

      public class PID
      extends Segment

  PID - Patient Identification Segment

  The PID segment is used by all applications as the primary means of communicating patient identification information. This segment contains permanent patient identifying and demographic information that, for the most part, is not likely to change frequently.

  Represents an HL7 PID message segment. This segment has the following fields:

  PID-1: Set ID - PID (SI)Optional
  PID-3: Patient Identifier List (CX)Required
  PID-5: Patient Name (XPN)Required
  PID-6: Mother's Maiden Name (XPN)Optional
  PID-7: Date/Time of Birth (DTM)Optional
  PID-8: Administrative Sex (CWE)Optional
  PID-10: Race (CWE)Optional
  PID-11: Patient Address (XAD)Optional
  PID-13: Phone Number - Home (XTN)Backward
  PID-14: Phone Number - Business (XTN)Backward
  PID-15: Primary Language (CWE)Optional
  PID-16: Marital Status (CWE)Optional
  PID-17: Religion (CWE)Optional
  PID-18: Patient Account Number (CX)Optional
  PID-21: Mother's Identifier (CX)Optional
  PID-22: Ethnic Group (CWE)Optional
  PID-23: Birth Place (ST)Optional
  PID-24: Multiple Birth Indicator (ID)Optional
  PID-25: Birth Order (NM)Optional
  PID-26: Citizenship (CWE)Optional
  PID-27: Veterans Military Status (CWE)Optional
  PID-29: Patient Death Date and Time (DTM)Optional
  PID-30: Patient Death Indicator (ID)Optional
  PID-31: Identity Unknown Indicator (ID)Optional
  PID-32: Identity Reliability Code (CWE)Optional
  PID-33: Last Update Date/Time (DTM)Optional
  PID-34: Last Update Facility (HD)Optional
  PID-35: Taxonomic Classification Code (CWE)Optional
  PID-36: Breed Code (CWE)Backward
  PID-37: Strain (ST)Optional
  PID-38: Production Class Code (CWE)Optional
  PID-39: Tribal Citizenship (CWE)Optional

  PID-40: Patient Telecommunication and Information (XTN)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PID()` Constucts the PID segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCitizenship(CWE objCitizenship)` Set the Citizenship.
    `void` | `addCitizenship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Citizenship.
    `void` | `addEthnicGroup(CWE objtempEthnicGroup)` Set the Ethnic Group.
    `void` | `addEthnicGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ethnic Group.
    `void` | `addIdentityReliabilityCode(CWE objIdentityReliabilityCode)` Sets the Identity Reliability Code.
    `void` | `addIdentityReliabilityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Identity Reliability Code.
    `void` | `addMotherIdentifier(CX objtempMotherIdentifier)` Set the Mother Identifier.
    `void` | `addMotherIdentifier(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Mother Identifier.
    `void` | `addMotherMaidenName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Mother Maiden Name.
    `void` | `addMotherMaidenName(XPN objMotherMaidenName)` Sets the Mother Maiden Name.
    `void` | `addPatientAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Patient Address.
    `void` | `addPatientAddress(XAD objtempPatientAddress)` Sets the PatientAddress.
    `void` | `addPatientIdentifierList(CX objPatientIdentifierList)` Set the Patient Identifier List.
    `void` | `addPatientIdentifierList(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Patient Identifier List.
    `void` | `addPatientName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Patient Name.
    `void` | `addPatientName(XPN objPatientName)` Sets the PatientName.
    `void` | `addPatientTelecommunicationInformation(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Patient Telecommunication Information.
    `void` | `addPatientTelecommunicationInformation(XTN objtempPatientTelecommunicationInformation)` Sets the Patient Telecommunication Information.
    `void` | `addPhoneNumberBusiness(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Phone Number Business.
    `void` | `addPhoneNumberBusiness(XTN objtempPhoneNumberBusiness)` Sets the Phone Number Business.
    `void` | `addPhoneNumberHome(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Phone Number Home.
    `void` | `addPhoneNumberHome(XTN objtempPhoneNumberHome)` Sets the Phone Number Home.
    `void` | `addProductionClassCode(CWE objtempProductionClassCode)` Sets the Production Class Code.
    `void` | `addProductionClassCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Production Class Code.
    `void` | `addRace(CWE objtempRace)` Set the Race.
    `void` | `addRace(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Race.
    `void` | `addTribalCitizenship(CWE objtempTribalCitizenship)` Set the Tribal Citizenship.
    `void` | `addTribalCitizenship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Tribal Citizenship.
    `CWE` | `getAdministrativeSex()` Retrieves the Administrative Sex.
    `NM` | `getBirthOrder()` Retrieves the Birth Order.
    `ST` | `getBirthPlace()` Retrieves the Birth Place.
    `CWE` | `getBreedCode()` Retrieves the Breed Code.
    `ISingleCollection<CWE>` | `getCitizenship()` Retrieves the Citizenship.
    `DTM` | `getDateTimeOfBirth()` Retrieves the Date Time Of Birth.
    `ISingleCollection<CWE>` | `getEthnicGroup()` Retrieves the Ethnic Group.
    `ISingleCollection<CWE>` | `getIdentityReliabilityCode()` Retrieves the Identity Reliability Code.
    `ID` | `getIdentityUnknownIndicator()` Retrieves the Identity Unknown Indicator.
    `DTM` | `getLastUpdateDateTime()` Retrieves the Last Update Date Time.
    `HD` | `getLastUpdateFacility()` Retrieves the Last Update Facility.
    `CWE` | `getMaritalStatus()` Retrieves the Marital Status.
    `ISingleCollection<CX>` | `getMotherIdentifier()` Retrieves the Mother Identifier.
    `ISingleCollection<XPN>` | `getMotherMaidenName()` Retrieves the Mother Maiden Name.
    `ID` | `getMultipleBirthIndicator()` Retrieves the Multiple Birth Indicator.
    `CX` | `getPatientAccountNumber()` Retrieves the Patient Account Number.
    `ISingleCollection<XAD>` | `getPatientAddress()` Retrieves the Patient Address.
    `DTM` | `getPatientDeathDateTime()` Retrieves the Patient Death Date Time.
    `ID` | `getPatientDeathIndicator()` Retrieves the Patient Death Indicator.
    `ISingleCollection<CX>` | `getPatientIdentifierList()` Retrieves the Patient Identifier List.
    `ISingleCollection<XPN>` | `getPatientName()` Retrieves the Patient Name.
    `ISingleCollection<XTN>` | `getPatientTelecommunicationInformation()` Retrieves the Patient Telecommunication Identifier.
    `ISingleCollection<XTN>` | `getPhoneNumberBusiness()` Retrieves the Phone Number Business.
    `ISingleCollection<XTN>` | `getPhoneNumberHome()` Retrieves the Phone Number Home.
    `CWE` | `getPrimaryLanguage()` Retrieves the Primary Language.
    `ISingleCollection<CWE>` | `getProductionClassCode()` Retrieves the Production Class Code.
    `ISingleCollection<CWE>` | `getRace()` Retrieves the Race.
    `CWE` | `getReligion()` Retrieves the Religion.
    `SI` | `getSetID_PID()` Retrieves the Set ID PID.
    `ST` | `getStrain()` Retrieves the Strain.
    `CWE` | `getTaxonomicClassificationCode()` Retrieves the Species Code.
    `ISingleCollection<CWE>` | `getTribalCitizenship()` Retrieves the Tribal Citizenship.
    `CWE` | `getVeteransMilitaryStatus()` Retrieves the Veterans Military Status.
    `void` | `setAdministrativeSex(CWE objAdministrativeSex)` Set the Administrative Sex.
    `void` | `setAdministrativeSex(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Administrative Sex.
    `void` | `setBirthOrder(NM objbirthOrder)` Set the Birth Order.
    `void` | `setBirthOrder(java.lang.String strBirthOrder)` Set the Birth Order.
    `void` | `setBirthPlace(ST objbirthPlace)` Set the Birth Place.
    `void` | `setBirthPlace(java.lang.String strBirthPlace)` Set the Birth Place.
    `void` | `setBreedCode(CWE objbreedCode)` Set the Breed Code.
    `void` | `setBreedCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Breed Code.
    `void` | `setCitizenship(ISingleCollection<CWE> objCitizenship)` Set the Citizenship.
    `void` | `setDateTimeOfBirth(DTM objdateTimeOfBirth)` Set the Date Time Of Birth.
    `void` | `setDateTimeOfBirth(java.lang.String strDateTimeOfBirth)` Set the Date Time Of Birth.
    `void` | `setEthnicGroup(ISingleCollection<CWE> objEthnicGroup)` Set the Ethnic Group.
    `void` | `setIdentityReliabilityCode(ISingleCollection<CWE> objIdentityReliabilityCode)` Set the Identity Reliability Code.
    `void` | `setIdentityUnknownIndicator(ID objidentityUnknownIndicator)` Sets the Identity Unknown Indicator.
    `void` | `setIdentityUnknownIndicator(java.lang.String strIdentityUnknownIndicator)` Set the Identity Unknown Indicator.
    `void` | `setLastUpdateDateTime(DTM objlastUpdateDateTime)` Sets the last Update DateTime.
    `void` | `setLastUpdateDateTime(java.lang.String strDateTimePlannedEvent)` Set the Last Update Date Time.
    `void` | `setLastUpdateFacility(HD objlastUpdateFacility)` Sets the LastUpdateFacility
    `void` | `setLastUpdateFacility(java.lang.String strNamespaceID, java.lang.String strUniversalID, java.lang.String strUniversalIDType)` Set the Last Update Facility.
    `void` | `setMaritalStatus(CWE objmaritalStatus)` Set the Marital Status.
    `void` | `setMaritalStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Marital Status.
    `void` | `setMotherIdentifier(ISingleCollection<CX> objMotherIdentifier)` Set the Mother Identifier.
    `void` | `setMotherMaidenName(ISingleCollection<XPN> objMotherMaidenName)` Set the MothersMaiden name.
    `void` | `setMultipleBirthIndicator(ID objmultipleBirthIndicator)` Set the Multiple Birth Indicator.
    `void` | `setMultipleBirthIndicator(java.lang.String strMultipleBirthIndicator)` Set the Multiple Birth Indicator.
    `void` | `setPatientAccountNumber(CX objpatientAccountNumber)` Set the Patient Account Number.
    `void` | `setPatientAccountNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Patient Account Number.
    `void` | `setPatientAddress(ISingleCollection<XAD> objPatientAddress)` Set the Patient Address.
    `void` | `setPatientDeathDateTime(DTM objpatientDeathDateTime)` Set the Patient Death Date Time.
    `void` | `setPatientDeathDateTime(java.lang.String strDateTimePlannedEvent)` Set the Patient Death Date Time.
    `void` | `setPatientDeathIndicator(ID objpatientDeathIndicator)` Set the Patient Death Indicator.
    `void` | `setPatientDeathIndicator(java.lang.String strPatientDeathIndicator)` Set the Patient Death Indicator.
    `void` | `setPatientIdentifierList(ISingleCollection<CX> objPatientIdentifierList)` Set the Patient Identifier List.
    `void` | `setPatientName(ISingleCollection<XPN> objPatientName)` Set the Patient name.
    `void` | `setPatientTelecommunicationInformation(ISingleCollection<XTN> objPatientTelecommunicationInformation)` Set the Patient Telecommunication Information.
    `void` | `setPhoneNumberBusiness(ISingleCollection<XTN> objPhoneNumberBusiness)` Set the Phone Number Business.
    `void` | `setPhoneNumberHome(ISingleCollection<XTN> objPhoneNumberHome)` Set the Phone Number Home.
    `void` | `setPrimaryLanguage(CWE objprimaryLanguage)` Set the Primary Language.
    `void` | `setPrimaryLanguage(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Language.
    `void` | `setProductionClassCode(ISingleCollection<CWE> objProductionClassCode)` Set the ProductionClassCode.
    `void` | `setRace(ISingleCollection<CWE> objRace)` Set the Race.
    `void` | `setReligion(CWE objreligion)` Set the Religion.
    `void` | `setReligion(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Religion.
    `void` | `setSetID_PID(SI objSetID_PID)` Set the Set ID PID.
    `void` | `setSetID_PID(java.lang.String strSequenceID)` Set the Set ID PID.
    `void` | `setStrain(ST objstrain)` Set the Strain.
    `void` | `setStrain(java.lang.String strStrain)` Set the Strain.
    `void` | `setTaxonomicClassificationCode(CWE objTaxonomicClassificationCode)` Set the Species Code.
    `void` | `setTaxonomicClassificationCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Species Code.
    `void` | `setTribalCitizenship(ISingleCollection<CWE> objTribalCitizenship)` Set the Tribal Citizenship.
    `void` | `setVeteransMilitaryStatus(CWE objveteransMilitaryStatus)` Sets the Veterans Military Status.
    `void` | `setVeteransMilitaryStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Veterans Military Status.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PID

          public PID()

      Constucts the PID segment.

  - ### Method Detail

    - #### getAdministrativeSex

          public CWE getAdministrativeSex()

      Retrieves the Administrative Sex.
      Returns:
        String - administrativeSex

    - #### getBirthOrder

          public NM getBirthOrder()

      Retrieves the Birth Order.
      Returns:
        String - birthOrder

    - #### getBirthPlace

          public ST getBirthPlace()

      Retrieves the Birth Place. This field indicates the location of the patient's birth, for example "St. Francis Community Hospital of Lower South Side".
      Returns:
        String - birthPlace

    - #### getBreedCode

          public CWE getBreedCode()

      Retrieves the Breed Code. This field specify the breed of animal. This field, unlike Species and Strain is specific to animals and cannot be generally used for all living organisms.
      Returns:
        CE - breedCode

    - #### getCitizenship

          public ISingleCollection<CWE> getCitizenship()

      Retrieves the Citizenship. This field contains the information related to a person's country citizenship.
      Returns:
        ISingleCollection - citizenship

    - #### getDateTimeOfBirth

          public DTM getDateTimeOfBirth()

      Retrieves the Date Time Of Birth. This field contains the patient's date and time of birth.
      Returns:
        DTM - dateTimeOfBirth

    - #### getEthnicGroup

          public ISingleCollection<CWE> getEthnicGroup()

      Retrieves the Ethnic Group. This field defines the patient's ancestry.
      Returns:
        ISingleCollection - ethnicGroup

    - #### getIdentityReliabilityCode

          public ISingleCollection<CWE> getIdentityReliabilityCode()

      Retrieves the Identity Reliability Code. This field contains a coded value used to communicate information regarding the reliability of patient/person identifying data transmitted via a transaction.
      Returns:
        ISingleCollection - identityReliabilityCode

    - #### getIdentityUnknownIndicator

          public ID getIdentityUnknownIndicator()

      Retrieves the Identity Unknown Indicator. This field indicates whether the patient's/person's identity is known or not.
      Returns:
        String - identityUnknownIndicator

    - #### getLastUpdateDateTime

          public DTM getLastUpdateDateTime()

      Retrieves the Last Update Date Time. This field contains the last update date and time for the patient's/person's identifying and demographic data, as defined in the PID segment.
      Returns:
        TS - lastUpdateDateTime

    - #### getLastUpdateFacility

          public HD getLastUpdateFacility()

      Retrieves the Last Update Facility. This field identify the facility of the last update to a patient's/person's identifying and demographic data, as defined in the PID segment.
      Returns:
        HD - lastUpdateFacility

    - #### getMaritalStatus

          public CWE getMaritalStatus()

      Retrieves the Marital Status.
      Returns:
        CE - maritalStatus

    - #### getMotherIdentifier

          public ISingleCollection<CX> getMotherIdentifier()

      Retrieves the Mother Identifier. This field contain multiple identifiers for the same mother.
      Returns:
        ISingleCollection - motherIdentifier

    - #### getMotherMaidenName

          public ISingleCollection<XPN> getMotherMaidenName()

      Retrieves the Mother Maiden Name. This field contains the family name under which the mother is born.
      Returns:
        ISingleCollection - motherMaidenName

    - #### getMultipleBirthIndicator

          public ID getMultipleBirthIndicator()

      Retrieves the Multiple Birth Indicator. This field indicates whether the patient is part of a multiple birth or not.
      Returns:
        String - multipleBirthIndicator

    - #### getPatientAccountNumber

          public CX getPatientAccountNumber()

      Retrieves the Patient Account Number. This field contains the patient account number assigned by accounting to which all charges, payments, etc., are recorded.
      Returns:
        CX - patientAccountNumber

    - #### getPatientAddress

          public ISingleCollection<XAD> getPatientAddress()

      Retrieves the Patient Address. This field contains the mailing address of the patient.
      Returns:
        ISingleCollection - patientAddress

    - #### getPatientDeathDateTime

          public DTM getPatientDeathDateTime()

      Retrieves the Patient Death Date Time. This field contains the date and time at which the patient death occurred.
      Returns:
        TS - patientDeathDateTime

    - #### getPatientDeathIndicator

          public ID getPatientDeathIndicator()

      Retrieves the Patient Death Indicator.
      Returns:
        String - patientDeathIndicator

    - #### getPatientIdentifierList

          public ISingleCollection<CX> getPatientIdentifierList()

      Retrieves the Patient Identifier List. This field contains the list of identifiers(one or more) used by the healthcare facility to uniquely identify a patient.
      Returns:
        ISingleCollection - patientIdentifierList

    - #### getPatientName

          public ISingleCollection<XPN> getPatientName()

      Retrieves the Patient Name. This field contains the names of the patient, the primary or legal name of the patient is reported first.
      Returns:
        ISingleCollection - patientName

    - #### getPhoneNumberBusiness

          public ISingleCollection<XTN> getPhoneNumberBusiness()

      Retrieves the Phone Number Business. This field contains the patient's business telephone numbers.
      Returns:
        ISingleCollection - phoneNumberBusiness

    - #### getPhoneNumberHome

          public ISingleCollection<XTN> getPhoneNumberHome()

      Retrieves the Phone Number Home. This field contains the patient's personal phone numbers.
      Returns:
        ISingleCollection - phoneNumberHome

    - #### getPatientTelecommunicationInformation

          public ISingleCollection<XTN> getPatientTelecommunicationInformation()

      Retrieves the Patient Telecommunication Identifier.
      Returns:
        ISingleCollection - Patient Telecommunication Identifier

    - #### getPrimaryLanguage

          public CWE getPrimaryLanguage()

      Retrieves the Primary Language. This field contains the patient's primary language.
      Returns:
        CE - primaryLanguage

    - #### getProductionClassCode

          public ISingleCollection<CWE> getProductionClassCode()

      Retrieves the Production Class Code. This field contains the code and/or text indicating the primary use for which the living subject is bred or grown.
      Returns:
        ISingleCollection - productionClassCode

    - #### getRace

          public ISingleCollection<CWE> getRace()

      Retrieves the Race. This field contains the patient's race.
      Returns:
        ISingleCollection - race

    - #### getReligion

          public CWE getReligion()

      Retrieves the Religion. This field contains the patient's religion.
      Returns:
        CE - religion

    - #### getSetID_PID

          public SI getSetID_PID()

      Retrieves the Set ID PID. This field contains the number that identifies this transaction.
      Returns:
        String - setID_PID

    - #### getTaxonomicClassificationCode

          public CWE getTaxonomicClassificationCode()

      Retrieves the Species Code. This field identify species of living organism. This may include the common or scientific name, based on the coding system(s) used.
      Returns:
        CE - breedCode

    - #### getStrain

          public ST getStrain()

      Retrieves the Strain. This field contains the specific strain of animal. It can also be expanded to include strain of any living organism and is not restricted to animals.
      Returns:
        String - strain

    - #### getTribalCitizenship

          public ISingleCollection<CWE> getTribalCitizenship()

      Retrieves the Tribal Citizenship. This field contains the information related to a person's tribal citizenship.
      Returns:
        ISingleCollection - tribalCitizenship

    - #### getVeteransMilitaryStatus

          public CWE getVeteransMilitaryStatus()

      Retrieves the Veterans Military Status. This field contains the military status assigned to a veteran.
      Returns:
        CE - veteransMilitaryStatus

    - #### setSetID_PID

          public void setSetID_PID(java.lang.String strSequenceID)

      Set the Set ID PID. This field contains the number that identifies this transaction.
      Parameters:
        `strSequenceID` - Use as SequenceID.

    - #### setSetID_PID

          public void setSetID_PID(SI objSetID_PID)

      Set the Set ID PID. This field contains the number that identifies this transaction.
      Parameters:
        `objSetID_PID` - object of SequenceID.

    - #### addPatientIdentifierList

          public void addPatientIdentifierList(java.lang.String strIDNumber,
                                      java.lang.String strCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      HD objAssigningAuthority,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepartment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Set the Patient Identifier List. This field contains the list of identifiers(one or more) used by the healthcare facility to uniquely identify a patient.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addPatientIdentifierList

          public void addPatientIdentifierList(CX objPatientIdentifierList)

      Set the Patient Identifier List. This field contains the list of identifiers(one or more) used by the healthcare facility to uniquely identify a patient.
      Parameters:
        `objPatientIdentifierList` - object of Patient IdentifierList.

    - #### setPatientIdentifierList

          public void setPatientIdentifierList(ISingleCollection<CX> objPatientIdentifierList)

      Set the Patient Identifier List.
      Parameters:
        `objPatientIdentifierList` - List of Patient Identifier List.

    - #### addPatientName

          public void addPatientName(FN objFamilyName,
                            java.lang.String strGivenName,
                            java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                            java.lang.String strSuffix,
                            java.lang.String strPrefix,
                            java.lang.String strNameTypeCode,
                            java.lang.String strNameRepresentationCode,
                            CWE objNameContext,
                            java.lang.String strNameAssemblyOrder,
                            DTM objEffectiveDate,
                            DTM objExpirationDate,
                            java.lang.String strProfessionalSuffix,
                            java.lang.String strCalledBy)

      Set the Patient Name. This field contains the names of the patient, the primary or legal name of the patient is reported first.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addPatientName

          public void addPatientName(XPN objPatientName)

      Sets the PatientName.
      Parameters:
        `objPatientName` - object of objPatientName.

    - #### setPatientName

          public void setPatientName(ISingleCollection<XPN> objPatientName)

      Set the Patient name.
      Parameters:
        `objPatientName` - List of Patient name.

    - #### addMotherMaidenName

          public void addMotherMaidenName(FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 DTM objEffectiveDate,
                                 DTM objExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 java.lang.String strCalledBy)

      Set the Mother Maiden Name. This field contains the family name under which the mother is born.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - sed to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addMotherMaidenName

          public void addMotherMaidenName(XPN objMotherMaidenName)

      Sets the Mother Maiden Name.
      Parameters:
        `objMotherMaidenName` - object of MotherMaidenName

    - #### setMotherMaidenName

          public void setMotherMaidenName(ISingleCollection<XPN> objMotherMaidenName)

      Set the MothersMaiden name.
      Parameters:
        `objPatientName` - List of MothersMaiden name.

    - #### setDateTimeOfBirth

          public void setDateTimeOfBirth(java.lang.String strDateTimeOfBirth)

      Set the Date Time Of Birth.
      Parameters:
        `strDateTimeOfBirth` - Specifies recorded date time.

    - #### setDateTimeOfBirth

          public void setDateTimeOfBirth(DTM objdateTimeOfBirth)

      Set the Date Time Of Birth. This field contains the patient's date and time of birth.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.
        `objdateTimeOfBirth` - object of DateTimeOfBirth

    - #### setAdministrativeSex

          public void setAdministrativeSex(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Administrative Sex. This field contains the reason for this event.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdministrativeSex

          public void setAdministrativeSex(CWE objAdministrativeSex)

      Set the Administrative Sex.
      Parameters:
        `objAdministrativeSex` - object of AdministrativeSex.

    - #### setBirthOrder

          public void setBirthOrder(java.lang.String strBirthOrder)

      Set the Birth Order.
      Parameters:
        `strBirthOrder` - Use as BirthOrder.

    - #### setBirthOrder

          public void setBirthOrder(NM objbirthOrder)

      Set the Birth Order.
      Parameters:
        `objbirthOrder` - object of BirthOrder.

    - #### setBirthPlace

          public void setBirthPlace(java.lang.String strBirthPlace)

      Set the Birth Place. This field indicates the location of the patient's birth, for example "St. Francis Community Hospital of Lower South Side".
      Parameters:
        `strBirthPlace` - Use as BirthPlace.

    - #### setBirthPlace

          public void setBirthPlace(ST objbirthPlace)

      Set the Birth Place. This field indicates the location of the patient's birth, for example "St. Francis Community Hospital of Lower South Side".
      Parameters:
        `objbirthPlace` - object of BirthPlace.

    - #### setBreedCode

          public void setBreedCode(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Breed Code. This field specify the breed of animal. This field, unlike Species and Strain is specific
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBreedCode

          public void setBreedCode(CWE objbreedCode)

      Set the Breed Code. This field specify the breed of animal. This field, unlike Species and Strain is specific to animals and cannot be generally used for all living organisms.
      Parameters:
        `objbreedCode` - object of BreedCode

    - #### addCitizenship

          public void addCitizenship(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Citizenship. This field contains the information related to a person's country citizenship.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCitizenship

          public void addCitizenship(CWE objCitizenship)

      Set the Citizenship. This field contains the information related to a person's country citizenship.
      Parameters:
        `objCitizenship` - object of Citizenship.

    - #### setCitizenship

          public void setCitizenship(ISingleCollection<CWE> objCitizenship)

      Set the Citizenship.
      Parameters:
        `objCitizenship` - List of Citizenship.

    - #### addEthnicGroup

          public void addEthnicGroup(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ethnic Group. This field defines the patient's ancestry.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addEthnicGroup

          public void addEthnicGroup(CWE objtempEthnicGroup)

      Set the Ethnic Group. This field defines the patient's ancestry.
      Parameters:
        `objtempEthnicGroup` - object of EthnicGroup

    - #### setEthnicGroup

          public void setEthnicGroup(ISingleCollection<CWE> objEthnicGroup)

      Set the Ethnic Group.
      Parameters:
        `objEthnicGroup` - List of Ethnic Group.

    - #### addIdentityReliabilityCode

          public void addIdentityReliabilityCode(java.lang.String strIdentifier,
                                        java.lang.String strText,
                                        java.lang.String strNameOfCodingSystem,
                                        java.lang.String strAlternateIdentifier,
                                        java.lang.String strAlternateText,
                                        java.lang.String strNameOfAlternateCodingSystem,
                                        java.lang.String strCodingSystemVersionID,
                                        java.lang.String strAlternateCodingSystemVersionId,
                                        java.lang.String strOriginalText,
                                        java.lang.String strSecondAlternateIdentifier,
                                        java.lang.String strSecondAlternateText,
                                        java.lang.String strNameofSecondAlternateCodingSystem,
                                        java.lang.String strSecondAlternateCodingSystemVersionID,
                                        java.lang.String strCodingSystemOID,
                                        java.lang.String strValueSetOID,
                                        java.lang.String strValueSetVersionID,
                                        java.lang.String strAlternateCodingSystemOID,
                                        java.lang.String strAlternateValueSetOID,
                                        java.lang.String strAlternateValueSetVersionID,
                                        java.lang.String strSecondAlternateCodingSystemOID,
                                        java.lang.String strSecondAlternateValueSetOID,
                                        java.lang.String strSecondAlternateValueSetVersionID)

      Set the Identity Reliability Code. This field contains a coded value used to communicate information regarding the
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addIdentityReliabilityCode

          public void addIdentityReliabilityCode(CWE objIdentityReliabilityCode)

      Sets the Identity Reliability Code.
      Parameters:
        `objIdentityReliabilityCode` - object of IdentityReliabilityCode.

    - #### setIdentityReliabilityCode

          public void setIdentityReliabilityCode(ISingleCollection<CWE> objIdentityReliabilityCode)

      Set the Identity Reliability Code.
      Parameters:
        `objIdentityReliabilityCode` - List of Identity Reliability Code.

    - #### setIdentityUnknownIndicator

          public void setIdentityUnknownIndicator(java.lang.String strIdentityUnknownIndicator)

      Set the Identity Unknown Indicator. This field indicates whether the patient's/person's identity is known or not.
      Parameters:
        `strIdentityUnknownIndicator` - Use as IdentityUnknownIndicator.

    - #### setIdentityUnknownIndicator

          public void setIdentityUnknownIndicator(ID objidentityUnknownIndicator)

      Sets the Identity Unknown Indicator.
      Parameters:
        `objidentityUnknownIndicator` - object of IdentityUnknownIndicator.

    - #### setLastUpdateDateTime

          public void setLastUpdateDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Last Update Date Time. This field contains the last update date and time for the patient's/person's identifying and demographic data, as defined in the PID segment.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setLastUpdateDateTime

          public void setLastUpdateDateTime(DTM objlastUpdateDateTime)

      Sets the last Update DateTime.
      Parameters:
        `objlastUpdateDateTime` - object of lastUpdateDateTime

    - #### setLastUpdateFacility

          public void setLastUpdateFacility(java.lang.String strNamespaceID,
                                   java.lang.String strUniversalID,
                                   java.lang.String strUniversalIDType)

      Set the Last Update Facility. This field identify the facility of the last update to a patient's/person's identifying and demographic data, as defined in the PID segment.
      Parameters:
        `strNamespaceID` - Use as NamespaceID.
        `strUniversalID` - Use as UniversalID.
        `strUniversalIDType` - Use as UniversalIDType.

    - #### setLastUpdateFacility

          public void setLastUpdateFacility(HD objlastUpdateFacility)

      Sets the LastUpdateFacility
      Parameters:
        `objlastUpdateFacility` - object of LastUpdateFacility

    - #### setMaritalStatus

          public void setMaritalStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Marital Status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setMaritalStatus

          public void setMaritalStatus(CWE objmaritalStatus)

      Set the Marital Status.
      Parameters:
        `objmaritalStatus` - object of Marital Status.

    - #### addMotherIdentifier

          public void addMotherIdentifier(java.lang.String strIDNumber,
                                 java.lang.String strCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 HD objAssigningAuthority,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepartment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Set the Mother Identifier. This field contain multiple identifiers for the same mother.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addMotherIdentifier

          public void addMotherIdentifier(CX objtempMotherIdentifier)

      Set the Mother Identifier. This field contain multiple identifiers for the same mother.
      Parameters:
        `objtempMotherIdentifier` - object of MotherIdentifier

    - #### setMotherIdentifier

          public void setMotherIdentifier(ISingleCollection<CX> objMotherIdentifier)

      Set the Mother Identifier.
      Parameters:
        `objMotherIdentifier` - List of MotherIdentifier.

    - #### setMultipleBirthIndicator

          public void setMultipleBirthIndicator(java.lang.String strMultipleBirthIndicator)

      Set the Multiple Birth Indicator. This field indicates whether the patient is part of a multiple birth or not.
      Parameters:
        `strMultipleBirthIndicator` - Use as MultipleBirthIndicator.

    - #### setMultipleBirthIndicator

          public void setMultipleBirthIndicator(ID objmultipleBirthIndicator)

      Set the Multiple Birth Indicator. This field indicates whether the patient is part of a multiple birth or not.
      Parameters:
        `objmultipleBirthIndicator` - object of MultipleBirthIndicator.

    - #### setPatientAccountNumber

          public void setPatientAccountNumber(java.lang.String strIDNumber,
                                     java.lang.String strCheckDigit,
                                     java.lang.String strCheckDigitScheme,
                                     HD objAssigningAuthority,
                                     java.lang.String strIdentifierTypeCode,
                                     HD objAssigningFacility,
                                     java.lang.String strEffectiveDate,
                                     java.lang.String strExpirationDate,
                                     CWE objAssigningJurisdiction,
                                     CWE objAssigningAgencyOrDepartment,
                                     java.lang.String strSecurityCheck,
                                     java.lang.String strSecurityCheckScheme)

      Set the Patient Account Number. This field contains the patient account number assigned by accounting to which all charges, payments, etc., are recorded.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setPatientAccountNumber

          public void setPatientAccountNumber(CX objpatientAccountNumber)

      Set the Patient Account Number. This field contains the patient account number assigned by accounting to which all charges, payments, etc., are recorded.
      Parameters:
        `objpatientAccountNumber` - object of PatientAccountNumber

    - #### addPatientAddress

          public void addPatientAddress(SAD objStreetAddress,
                               java.lang.String strOtherDesignation,
                               java.lang.String strCity,
                               java.lang.String strStateOrProvince,
                               java.lang.String strZipOrPostalCode,
                               java.lang.String strCountry,
                               java.lang.String strAddressType,
                               java.lang.String strOtherGeographicDesignation,
                               CWE objCountyParishCode,
                               CWE objCensusTract,
                               java.lang.String strAddressRepresentationCode,
                               DTM objEffectiveDate,
                               DTM objExpirationDate,
                               CWE objEXpirationReason,
                               java.lang.String strTemporaryIndicator,
                               java.lang.String strBadAddressIndicator,
                               java.lang.String strAddressUsage,
                               java.lang.String strAddressee,
                               java.lang.String strComment,
                               java.lang.String strPreferenceOrder,
                               CWE objProtectionCode,
                               EI objAddressIdentifier)

      Set the Patient Address. This field contains the mailing address of the patient.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addPatientAddress

          public void addPatientAddress(XAD objtempPatientAddress)

      Sets the PatientAddress.
      Parameters:
        `objtempPatientAddress` - object of PatientAddress

    - #### setPatientAddress

          public void setPatientAddress(ISingleCollection<XAD> objPatientAddress)

      Set the Patient Address.
      Parameters:
        `objPatientAddress` - List of Patient Address.

    - #### setPatientDeathDateTime

          public void setPatientDeathDateTime(java.lang.String strDateTimePlannedEvent)

      Set the Patient Death Date Time. This field contains the date and time at which the patient death occurred.
      Parameters:
        `strDateTimePlannedEvent` - This field contains the date/time that the event is planned.

    - #### setPatientDeathDateTime

          public void setPatientDeathDateTime(DTM objpatientDeathDateTime)

      Set the Patient Death Date Time. This field contains the date and time at which the patient death occurred.
      Parameters:
        `objpatientDeathDateTime` - object of PatientDeathDateTime

    - #### setPatientDeathIndicator

          public void setPatientDeathIndicator(java.lang.String strPatientDeathIndicator)

      Set the Patient Death Indicator.
      Parameters:
        `strPatientDeathIndicator` - Use as PatientDeathIndicator.

    - #### setPatientDeathIndicator

          public void setPatientDeathIndicator(ID objpatientDeathIndicator)

      Set the Patient Death Indicator.
      Parameters:
        `objpatientDeathIndicator` - object of PatientDeathIndicator.

    - #### addPhoneNumberBusiness

          public void addPhoneNumberBusiness(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Phone Number Business. This field contains the patient's business telephone numbers.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPhoneNumberBusiness

          public void addPhoneNumberBusiness(XTN objtempPhoneNumberBusiness)

      Sets the Phone Number Business.
      Parameters:
        `objtempPhoneNumberBusiness` - object of PhoneNumberBusiness.

    - #### setPhoneNumberBusiness

          public void setPhoneNumberBusiness(ISingleCollection<XTN> objPhoneNumberBusiness)

      Set the Phone Number Business.
      Parameters:
        `objPhoneNumberBusiness` - List of Phone Number Business.

    - #### addPhoneNumberHome

          public void addPhoneNumberHome(java.lang.String strTeleCommunicationUseCode,
                                java.lang.String strTeleCommunicationEquipmentType,
                                java.lang.String strCommuinicationAddress,
                                java.lang.String strCountryCode,
                                java.lang.String strAreaCityCode,
                                java.lang.String strLocalNumber,
                                java.lang.String strExtension,
                                java.lang.String strAnyText,
                                java.lang.String strExtensionPrefix,
                                java.lang.String strSpeedDialCode,
                                java.lang.String strUnformattedTelephoneNumber,
                                java.lang.String strEffectiveStartDate,
                                java.lang.String strExpirationDate,
                                CWE objExpirationReason,
                                CWE objProtectionCode,
                                EI objSharedTelecommunicationIdentifier,
                                java.lang.String strPreferenceOrder)

      Set the Phone Number Home. This field contains the patient's personal phone numbers.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPhoneNumberHome

          public void addPhoneNumberHome(XTN objtempPhoneNumberHome)

      Sets the Phone Number Home.
      Parameters:
        `objtempPhoneNumberHome` - object of PhoneNumberHome.

    - #### setPhoneNumberHome

          public void setPhoneNumberHome(ISingleCollection<XTN> objPhoneNumberHome)

      Set the Phone Number Home.
      Parameters:
        `objPhoneNumberHome` - List of Phone Number Home.

    - #### addPatientTelecommunicationInformation

          public void addPatientTelecommunicationInformation(java.lang.String strTeleCommunicationUseCode,
                                                    java.lang.String strTeleCommunicationEquipmentType,
                                                    java.lang.String strCommuinicationAddress,
                                                    java.lang.String strCountryCode,
                                                    java.lang.String strAreaCityCode,
                                                    java.lang.String strLocalNumber,
                                                    java.lang.String strExtension,
                                                    java.lang.String strAnyText,
                                                    java.lang.String strExtensionPrefix,
                                                    java.lang.String strSpeedDialCode,
                                                    java.lang.String strUnformattedTelephoneNumber,
                                                    java.lang.String strEffectiveStartDate,
                                                    java.lang.String strExpirationDate,
                                                    CWE objExpirationReason,
                                                    CWE objProtectionCode,
                                                    EI objSharedTelecommunicationIdentifier,
                                                    java.lang.String strPreferenceOrder)

      Set the Patient Telecommunication Information.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPatientTelecommunicationInformation

          public void addPatientTelecommunicationInformation(XTN objtempPatientTelecommunicationInformation)

      Sets the Patient Telecommunication Information.
      Parameters:
        `objtempPatientTelecommunicationInformation` - object of PhoneNumberHome.

    - #### setPatientTelecommunicationInformation

          public void setPatientTelecommunicationInformation(ISingleCollection<XTN> objPatientTelecommunicationInformation)

      Set the Patient Telecommunication Information.
      Parameters:
        `objPatientTelecommunicationInformation` - List of Patient Telecommunication Information.

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Language. This field contains the patient's primary language.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(CWE objprimaryLanguage)

      Set the Primary Language. This field contains the patient's primary language.
      Parameters:
        `objprimaryLanguage` - object of PrimaryLanguage

    - #### addProductionClassCode

          public void addProductionClassCode(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Production Class Code. This field contains the code and/or text indicating the primary use for which the living subject is bred or grown.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProductionClassCode

          public void addProductionClassCode(CWE objtempProductionClassCode)

      Sets the Production Class Code.
      Parameters:
        `objtempProductionClassCode` - object of ProductionClassCode

    - #### setProductionClassCode

          public void setProductionClassCode(ISingleCollection<CWE> objProductionClassCode)

      Set the ProductionClassCode.
      Parameters:
        `objProductionClassCode` - List of ProductionClassCode.

    - #### addRace

          public void addRace(java.lang.String strIdentifier,
                     java.lang.String strText,
                     java.lang.String strNameOfCodingSystem,
                     java.lang.String strAlternateIdentifier,
                     java.lang.String strAlternateText,
                     java.lang.String strNameOfAlternateCodingSystem,
                     java.lang.String strCodingSystemVersionID,
                     java.lang.String strAlternateCodingSystemVersionId,
                     java.lang.String strOriginalText,
                     java.lang.String strSecondAlternateIdentifier,
                     java.lang.String strSecondAlternateText,
                     java.lang.String strNameofSecondAlternateCodingSystem,
                     java.lang.String strSecondAlternateCodingSystemVersionID,
                     java.lang.String strCodingSystemOID,
                     java.lang.String strValueSetOID,
                     java.lang.String strValueSetVersionID,
                     java.lang.String strAlternateCodingSystemOID,
                     java.lang.String strAlternateValueSetOID,
                     java.lang.String strAlternateValueSetVersionID,
                     java.lang.String strSecondAlternateCodingSystemOID,
                     java.lang.String strSecondAlternateValueSetOID,
                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Race. This field contains the patient's race.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRace

          public void addRace(CWE objtempRace)

      Set the Race. This field contains the patient's race.
      Parameters:
        `objtempRace` - object of Race.

    - #### setRace

          public void setRace(ISingleCollection<CWE> objRace)

      Set the Race.
      Parameters:
        `objRace` - List of Race.

    - #### setReligion

          public void setReligion(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Religion. This field contains the patient's religion.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReligion

          public void setReligion(CWE objreligion)

      Set the Religion. This field contains the patient's religion.
      Parameters:
        `objreligion` - object of Religion.

    - #### setTaxonomicClassificationCode

          public void setTaxonomicClassificationCode(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Species Code. This field identify species of living organism. This may include the common or
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTaxonomicClassificationCode

          public void setTaxonomicClassificationCode(CWE objTaxonomicClassificationCode)

      Set the Species Code. This field identify species of living organism. This may include the common or scientific name, based on the coding system(s) used.
      Parameters:
        `objspeciesCode` - object of SpeciesCode

    - #### setStrain

          public void setStrain(java.lang.String strStrain)

      Set the Strain. This field contains the specific strain of animal. It can also be expanded to include strain of any living organism and is not restricted to animals.
      Parameters:
        `strStrain` - Use as Strain.

    - #### setStrain

          public void setStrain(ST objstrain)

      Set the Strain. This field contains the specific strain of animal. It can also be expanded to include strain of any living organism and is not restricted to animals.
      Parameters:
        `objstrain` - object of Strain.

    - #### addTribalCitizenship

          public void addTribalCitizenship(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Tribal Citizenship. This field contains the information related to a person's tribal citizenship.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addTribalCitizenship

          public void addTribalCitizenship(CWE objtempTribalCitizenship)

      Set the Tribal Citizenship. This field contains the information related to a person's tribal citizenship.
      Parameters:
        `objtempTribalCitizenship` - object of TribalCitizenship.

    - #### setTribalCitizenship

          public void setTribalCitizenship(ISingleCollection<CWE> objTribalCitizenship)

      Set the Tribal Citizenship.
      Parameters:
        `objTribalCitizenship` - List of Tribal Citizenship.

    - #### setVeteransMilitaryStatus

          public void setVeteransMilitaryStatus(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Veterans Military Status. This field contains the military status assigned to a veteran.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVeteransMilitaryStatus

          public void setVeteransMilitaryStatus(CWE objveteransMilitaryStatus)

      Sets the Veterans Military Status.
      Parameters:
        `objveteransMilitaryStatus` - object of Veterans Military Status.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.